import { RefObject } from 'react';
import { EditorState, Extension } from '@codemirror/state';
import { EditorView } from '@codemirror/view';
export { EditorView, EditorState };
export declare type UseCodeMirrorProps = {
    defaultValue?: string;
    value?: string;
    onChange?: (value: string) => void;
    padding?: number;
    extensions?: Extension;
    readOnly?: boolean;
    showLineNumbers?: boolean;
    wrapLine?: boolean;
};
export declare const useCodeMirror: (ref: RefObject<Element | DocumentFragment | undefined>, { defaultValue, value, onChange, padding, extensions: extraExtension, readOnly, showLineNumbers, wrapLine, }: UseCodeMirrorProps) => import("react").MutableRefObject<EditorView | null>;
